> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onramp Verification Status

> Retrieve normalized Stripe CryptoCustomer KYC and identity verification status after Link authentication or after KYC steps. The server exchanges or reuses the Link OAuth token and never returns it to the client.



## OpenAPI

````yaml https://api.coinvoyage.io/v3/openapi.json post /onramp/verification/status
openapi: 3.1.0
info:
  title: CoinVoyage API (v3)
  description: >-
    CoinVoyage v3 payment API. Unified Intent envelope, snake_case money via the
    Amount shape, and a single SHA-256 signature scheme.
  version: 3.0.0
servers:
  - url: https://api.coinvoyage.io/v3
security: []
paths:
  /onramp/verification/status:
    post:
      tags:
        - onramp
      summary: Get Onramp Verification Status
      description: >-
        Retrieve normalized Stripe CryptoCustomer KYC and identity verification
        status after Link authentication or after KYC steps. The server
        exchanges or reuses the Link OAuth token and never returns it to the
        client.
      operationId: getStripeOnrampVerificationStatus
      parameters:
        - description: API key for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnrampCustomerStatusRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnrampCustomerStatusResponse'
          description: Crypto customer verification status
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Invalid request body
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Failed to get Stripe crypto customer status
      security:
        - APIKeyHeader: []
components:
  schemas:
    OnrampCustomerStatusRequest:
      additionalProperties: false
      properties:
        auth_intent_id:
          description: >-
            Stripe Link auth intent ID used by the embedded component
            authenticate() call
          example: lai_test_123
          type: string
        crypto_customer_id:
          description: >-
            Crypto customer ID returned by the Stripe embedded component after
            Link authentication
          example: ccus_test_123
          type: string
      required:
        - auth_intent_id
        - crypto_customer_id
      type: object
    OnrampCustomerStatusResponse:
      properties:
        crypto_customer_id:
          type: string
        kyc_required:
          type: boolean
        kyc_status:
          type: string
        kyc_current_tier:
          type: string
        kyc_region:
          type:
            - string
            - 'null'
        kyc_next_step:
          type: string
        identity_verification_required:
          type: boolean
        identity_verification_status:
          type: string
        kyc_tiers:
          items:
            $ref: '#/components/schemas/CustomerTierStatus'
          type: array
        provided_fields:
          items:
            type: string
          type: array
      required:
        - crypto_customer_id
        - kyc_required
        - identity_verification_required
      type: object
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
    CustomerTierStatus:
      properties:
        tier:
          type: string
        verification_status:
          type: string
        verification_errors:
          items:
            type: string
          type: array
      required:
        - tier
        - verification_status
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````